Bug 18711 - Contents of HTML5+Microdata specification appearing in HTML5 ED
Contents of HTML5+Microdata specification appearing in HTML5 ED
Status: RESOLVED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
PC All
: P2 normal
: ---
Assigned To: Edward O'Connor
HTML WG Bugzilla archive list
:
Depends on: 18726 18727 18728
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-27 19:39 UTC by Edward O'Connor
Modified: 2012-09-06 23:47 UTC (History)
3 users (show)

See Also:


Attachments
A possible fix. (841 bytes, patch)
2012-08-28 23:05 UTC, Edward O'Connor
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Edward O'Connor 2012-08-28 23:05:39 UTC
Created attachment 1179 [details]
A possible fix.

This patch fixes the accidental inclusion of most of the HTML5+Microdata spec in the HTML5 spec, but it does so in a way that I believe would negatively affect the ability to generate the HTML5+Microdata spec from our common source document.

Mike, is there a better way to fix this issue, one that won't break generation of HTML5+Microdata?
Comment 2 Edward O'Connor 2012-09-06 23:47:35 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
satisfied with this response, please change the state of this bug to CLOSED. If
you have additional information and would like the Editor to reconsider, please
reopen this bug. If you would like to escalate the issue to the full HTML
Working Group, please add the TrackerRequest keyword to this bug, and suggest
title and text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this document:

   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: https://github.com/w3c/html/commit/151dc9db825b2015f2714a7714e5949751f64270
Rationale: Prevent portions of the Microdata spec from erroneously
showing up in the HTML5 spec.